For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all appointments
        • POSTQuery Realtime Appointment Availability
        • POSTCreate an appointment for an applicant
        • POSTCreate an appointment for a lead
        • POSTCreate an appointment for a resident
        • PUTUpdate an appointment for an applicant
        • POSTCancel an appointment for an applicant
        • PUTUpdate an appointment for a lead
        • POSTCancel an appointment for a lead
        • PUTUpdate an appointment for a resident
        • POSTCancel an appointment for a resident
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsAppointments

Create an appointment for a lead

POST
/v1/events/appointments/leads
POST
/v1/events/appointments/leads
$curl -X POST https://api.propexo.com/v1/events/appointments/leads \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
>}'
1{
2 "job_id": "job_123e4567-e89b-12d3-a456-426614174000",
3 "data": {}
4}
Create an appointment for a lead
Was this page helpful?
Previous

Create an appointment for a resident

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
lead_idstringOptional
The Propexo unique identifier for the lead
unit_idstringOptional
The Propexo unique identifier for the unit
appointment_datestringOptional
The date when the appointment will occur
appointment_timestringOptionalformat: "(?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)"
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones
appointment_duration_minutesintegerOptional
The duration of the appointment, in minutes
employee_idstringOptional
The Propexo unique identifier for the employee
notesstringOptional<=256 characters
Notes associated with the event
appointment_typeenumOptional
The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available
Allowed values:
titlestringOptional<=50 characters
The title associated with the event
statusenumOptional
The raw status associated with the event
Allowed values:
priorityenumOptional
The priority of the appointment
Allowed values:
lead_source_idstringOptional
The Propexo unique identifier for the lead source

Response

Successful response
job_idstring
The ID of the job created to handle this operation
dataobject

Errors

400
Bad Request Error